clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh3ds('demisphere4surf',5);                    

Th=siMesh(meshfile);
figure(1);
Th.plot('FaceAlpha',0.5,'legend',true);
hold on
Th.plotVertices('markersize',12)
Th.plotElementsNumber();
axis off;axis image
%set(legend(),'Location','NorthEastOutside')
figure(2)
H=Th.plot('FaceColor','None');
hold on
Th.plot('d',1,'Linewidth',2);
Th.plotElementsNumber('d',1)
Th.plotVerticesNumber('d',1,'Global',true)
axis off;axis image
%set(legend(),'Location','NorthEastOutside')