function varargout=plotVal(self,u,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',self.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('plan',false);
  %p.addParamValue('PlotOptions',{});
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if isempty(R.labels), idxlab=self.find(R.d);else idxlab=self.find(R.d,R.labels);end
  if isempty(idxlab), return;end

  PrevHold=fc_tools.graphics.SetHoldOn(true);
  if ~PrevHold, clf;hold on;end
  for ilab=[idxlab]
      self.sTh{ilab}.plotVal(u,'plan',R.plan,varargin{:});
  end
  fc_tools.graphics.RestoreHold(PrevHold)
end
